import React from 'react';

import { Demo } from './Demo';
import './website.css';

export default { title: 'Typography/Demo' };

export const Default = () => (
  <>
    <Demo
      kind="headlines"
      size="xxxxl"
      type="contrastInvert"
      caption="Heading"
    />
    <Demo kind="headlines" size="xxxxl" type="bold" caption="Heading" />

    <Demo
      kind="headlines"
      size="xxxl"
      type="contrastInvert"
      caption="Subtitle"
    />
    <Demo kind="headlines" size="xxxl" type="bold" caption="Subtitle" />

    <Demo
      kind="headlines"
      size="xl"
      type="contrastInvert"
      caption="Subtitle2"
    />
    <Demo kind="headlines" size="xl" type="bold" caption="Subtitle2" />

    <Demo kind="brandText" size="lg" type="contrastInvert" caption="Body" />
    <Demo kind="brandText" size="lg" type="regular" caption="Body" />
    <Demo
      kind="headlines"
      size="lg"
      type="contrastInvert"
      caption="Button Text"
    />
    <Demo kind="headlines" size="lg" type="bold" caption="Button Text" />

    <Demo
      kind="headlines"
      size="md"
      type="contrastInvertBold"
      caption="Overline Tabs"
    />
    <Demo kind="headlines" size="md" type="bold" caption="Overline Tabs" />
    <Demo kind="headlines" size="md" type="contrastInvert" caption="Overline" />
    <Demo kind="headlines" size="md" type="regular" caption="Overline" />

    <Demo
      kind="headlines"
      size="sm"
      type="contrastInvert"
      caption="Small Button Text"
    />
    <Demo kind="headlines" size="sm" type="bold" caption="Small Button Text" />
    <Demo
      kind="brandText"
      size="sm"
      type="contrastInvert"
      caption="Small Button Text"
    />
    <Demo kind="brandText" size="sm" type="bold" caption="Small Button Text" />
    <Demo
      kind="brandText"
      size="sm"
      type="accentCoral"
      caption="Small Button Text"
    />

    <Demo kind="brandText" size="xs" type="contrastInvert" caption="Caption" />
    <Demo kind="brandText" size="xs" type="regular" caption="Caption" />
  </>
);
